#!/bin/sh
clear
echo "CIPEX BUILD & INSTALL SCRIPT"
echo "============================"
echo "Builds and installs CIPE protocol version 4  without debugging"
echo "for the Red Hat 2.4.2-2 kernel."
echo "Remove or comment out the next 'exit' statement to activate this"
echo "script"
exit
echo "Build script - proto=4, debug=0, RH71-242, install=${1} " >  make.log
make distclean 2> /dev/null 
./configure  --disable-pkcipe --enable-protocol=4 --disable-debug --enable-rh242 --with-mkvers=2,4,2 | tee -a make.log 2>&1 &&
make | tee -a make.log 2>&1 &&
if [ "${1}" = "-I" ] ; then
 UserID=`id -u`
 if [ "${UserID}" != "0" ] ; then
  echo "You need to be root to install this software!"
  echo "root password for su:" | tee -a  make.log 
  su -c make install | tee -a  make.log 2>&1
 else
  echo "Installing.." | tee -a  make.log 
  make install | tee -a  make.log 2>&1
 fi
fi

