/*
   CIPEX - encrypted and compressed IP over UDP tunneling

   mlzoprot.h - prototypes for the compression/expansion part of the 
   CIPEX device

   Copyright 2003 J.J.G. Steegers <hsx@dds.nl>
    
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version
   2 of the License, or (at your option) any later version.
*/

/* mlzocipe.c */
int cipex_compress(	struct cipe*, 
			unsigned char*, 
			int);

int cipex_expand( 	struct cipe* ,
			struct sk_buff **skb,
			int* ) ;

void cipex_stats(struct cipe*);

void cipex_clearstats(struct cipe*) ;

/* mlzowrap.c */
int mlzo_compress ( unsigned char*,
                    unsigned char*,
                    unsigned char*,
                    int,
                    int*) ;

int mlzo_expand (   unsigned char*,
            	    unsigned char*,
            	    int ,
            	    int* ) ;


